(function ($) {
  
  Drupal.behaviors.websitethemeNavCollapse = {
    attach: function (context, settings) {
      if (!$('html').hasClass('lt-ie9')) {
        $('#block-system-main-menu', context).once('nav-collapse', function () {
         
          $(this).addClass('menu-nav-collapse');
          var $menu = $(this).children('ul');
          
          var $toggleBtn = $('<a href="#" style="float:right;">X</a>').click(function(event) {
            $(this).closest('.main-menu-toggle').siblings('ul').toggle();
            if (event.preventDefault) {
              event.preventDefault();
            }
          });
          
          $(this).prepend($('<div class="main-menu-toggle">').prepend($toggleBtn));
          
          check_page_width($menu);
        });
        
        $(window).resize(function() {
          
          var $menu = $('#block-system-main-menu').children('ul');
          check_page_width($menu);
        });
      }
    }
  };
  
  /***
   * These tests rely on settings in media queries in components.css
   * 
   * #block-views-testimonials-block visiblity
   * 
   * #block-views-banners-block visiblity
   */
  function check_page_width($menu) {
    var width = $(window).width() - 20;
    var height = $(window).height();

    $('.l-branding').width()
    
    if ($('#block-views-testimonials-block').is(":visible")) {
      $('.page-bg').css({'padding-top': 0});
      $menu.show();
      $('.main-menu-toggle').hide();

      if (Math.ceil(width / parseFloat($("html").css("font-size"))) >= 40) {
        $menu.css('overflow-y', 'visible');
        $menu.css('max-height', 'auto');
      }
    }
    else {
      $('.page-bg').css({'padding-top': 0});
      $menu.hide();
      $('.main-menu-toggle').show();
      $menu.css('overflow-y', 'visible');
      $menu.css('max-height', 'auto');

      if ($('.l-above-page').width() == $('#block-block-2').width()) {
        var header_height = parseFloat($('.l-header').height()) - 20;
        $('.page-bg').css({'padding-top': header_height});
        $menu.css('overflow-y', 'scroll');
        $menu.css('max-height', (height - $('.l-header').height() - 30));
      }
    }
  }

})(jQuery);